/*
 * libgpephone
 *
 * Widget and utility library for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GPE_SKTABS_H__
#define __GPE_SKTABS_H__

/* includes */
#include <gtk/gtk.h>
#include "gpeskwindow.h"

G_BEGIN_DECLS

/* convenience macros */
#define GPE_TYPE_SKTABS             (gpe_sktabs_get_type())
#define GPE_SKTABS(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj),GPE_TYPE_SKTABS,GpeSKTabs))
#define GPE_SKTABS_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass),GPE_TYPE_SKTABS,GpeSKTabsClass))
#define GPE_IS_SKTABS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj),GPE_TYPE_SKTABS))
#define GPE_IS_SKTABS_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass),GPE_TYPE_SKTABS))
#define GPE_SKTABS_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj),GPE_TYPE_SKTABS,GpeSKTabsClass))

typedef struct _GpeSKTabs      GpeSKTabs;
typedef struct _GpeSKTabsClass GpeSKTabsClass;

struct _GpeSKTabs
{
  /*< private >*/
  GtkNotebook parent;
  /*< public >*/
  GpeSKWindow *skwindow;
};

struct _GpeSKTabsClass
{
  GtkNotebookClass parent_class;
    
  void (* append_page_with_menus) (GpeSKTabs *self, GtkWidget *tablabel, GtkWidget *content, ...);
  void (* update_page_menus) (GpeSKTabs *self, gint pagenum, ...);
};

/* member functions */
GType        gpe_sktabs_get_type    (void) G_GNUC_CONST;

GtkWidget *gpe_sktabs_new (GpeSKWindow *skwindow);

/* public function interface */
void  gpe_sktabs_append_page_with_menus (GpeSKTabs *self, GtkWidget *tablabel, GtkWidget *content, ...);
void  gpe_sktabs_update_page_menus (GpeSKTabs *self, gint pagenum, ...);


G_END_DECLS

#endif /* __GPE_SKTABS_H__ */
