#ifndef GTK_APP_NOTIFICATION_H_
#define GTK_APP_NOTIFICATION_H_

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#define	GTK_TYPE_APP_NOTIFICATION							(gtk_app_notification_get_type ())
#define	GTK_APP_NOTIFICATION(obj)							(G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_APP_NOTIFICATION, GtkAppNotification))
#define	GTK_APP_NOTIFICATION_CLASS(klass)			(G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_APP_NOTIFICATION, GtkAppNotificationClass))
#define	GTK_IS_APP_NOTIFICATION(obj)					(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_APP_NOTIFICATION))
#define GTK_IS_APP_NOTIFICATION_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_APP_NOTIFICATION))
#define GTK_APP_NOTIFICATION_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_APP_NOTIFICATION, GtkAppNotificationClass))
	
typedef struct _GtkAppNotification				GtkAppNotification;
typedef struct _GtkAppNotificationClass		GtkAppNotificationClass;

struct _GtkAppNotification
{
	GtkWindow				 window;
	GtkWidget				*text_nc;
	GtkWidget				*graphic_nc;
	GtkWidget				*progress_nc;
	
	gdouble					 fraction;
	guint						 timeout;
	
	gboolean				 hide_text;
	gboolean				 hide_graphic;
	gboolean				 hide_progress;
};

struct _GtkAppNotificationClass
{
	GtkWindowClass parent_class;
};

GType						gtk_app_notification_get_type								(void) G_GNUC_CONST;
GtkWidget*			gtk_app_notification_new										(void);
void						gtk_app_notification_set_image_from_file		(GtkAppNotification		*window,
																														 const gchar					*fname);
void						gtk_app_notification_set_text								(GtkAppNotification		*window,
																														 const gchar					*text);
void						gtk_app_notification_set_progross_fraction	(GtkAppNotification		*window,
																														 gdouble							 fraction);

void						gtk_app_notification_hide_text							(GtkAppNotification		*window);
void						gtk_app_notification_hide_graphic						(GtkAppNotification		*window);
void						gtk_app_notification_hide_progressbar				(GtkAppNotification		*window);

																														 
#endif /*GTK_APP_NOTIFICATION_H_*/

/*
vi:ts=2:nowrap:ai:expandtab 
*/
